Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163393 - Installation Update 5
Summary: Installation Update 5
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 20:12 UTC by Robert Staley
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-25 17:28:19 UTC


Attachments (Terms of Use)

Description Robert Staley 2005-07-15 20:12:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Error when installing Update 5

CDROM Mounted on RSA II card.
Hardware
IBM xSeries x366 4 CPU 10G memory
Adaptec SCSI Raid, qla2300 
Fiber not connected to HBA during installation.

Media check passes.
Other servers on same network are able to nfs mount the kickstart server.
Installation of Update 3 is sucessful using same hardware.

Version-Release number of selected component (if applicable):
2.4.21-32.ELsmp

How reproducible:
Always

Steps to Reproduce:
1. Mount Update 5 Disc 1 using RSAII console connection
2. linux acpi=noirq ks=nfs:<kickStartServer>:/kickstart/kscfg/<hostname>.ks.cfg ksdevice=eth0 nofb  
3. connection times out to nfs server and contiues with installation from CDROM
4. just after requesting root password...
 
no floppy drive avaiable

  

Actual Results:  

Debug info:
Traceback (most recent call last):
File "/usr/bin/anaconda", line 1089, in ? intf.run(id,dispatch,configFileData)
File "/usr/bin/anaconda/text.py", line 471, in run dispatch.gotoNext()
File "/usr/bin/anaconda/dispatch.py", line 157, in gotoNext self.moveStep()
File "/usr/bin/anaconda/dispatch.py", line 225, in moveStep rc=apply(func, self.bindArgs(args))
File "/usr/bin/anaconda/packages.py", line 160, in readPackages grpset = method.readComps(hdrlist)
File "/usr/bin/anaconda/installmethod.py", line 68, in readComps return self.readCompsViaMethod(hdlist)
File "/usr/bin/anaconda/image.py", line 42, in readCompsViaMethod return groupSetFromCompsFile(fname, hdlist)
File "/usr/bin/anaconda/hdrlist.py", line 918, in groupSetFromCompsFile compsxml = rhpl.cpms.Comps(file)
File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 349, in __init__self.load (filename)
File "/usr/lib/python2.2/site-packages/rhpl/comps.py", line 360, in load file = filename.read()
IOError: [Errno5] Input/output error

> /usr/lib/python2.2/site-packages/rhpl/comps.py(360)load() -> file = filename.read()
(Pdb)

<Alt F3> 
* moving (1) to step readcomps
* Using file:///mnt/source/RedHAt/base/comps.xml

Expected Results:  OS Sucessfully installed

Additional info:

Comment 1 Jeremy Katz 2005-07-18 19:12:25 UTC
Can you provide the complete traceback you received?

Comment 2 Robert Staley 2005-07-18 19:18:07 UTC
Hello,
Are you able to provide explicit instructions on extracting the complete 
traceback? I have re-typed the information from a remote console screen. I am 
able to provide screen shots if you have an ftp site for upload. 
Robert Staley 602.206.2039 WellsFargo Bank

Comment 3 Chris Lumens 2005-08-16 18:32:43 UTC
Screenshots may be attached to this bug report.

You can get the dump file by switching to tty2 (ctrl-alt-f2) when the traceback
dialog pops up, then copying /tmp/anacdump.txt to another machine.  You should
have networking set up by the point.

Comment 5 Red Hat Bugzilla 2007-06-12 02:52:53 UTC
requested by Jams Antill

Comment 6 Robert Staley 2007-06-12 15:43:19 UTC
The problem with the RH3 Update 5 issue as stated was an issue with the 
original negotiation of the nwtwork switch port. Half duplex negotiation would 
not allow the NFS mount sucessfully. Once the port setting was corrected the 
issue no longer existed.

Thank you,

Bob


Note You need to log in before you can comment on or make changes to this bug.